import { FC } from 'react'
import Image from 'next/image'
import { useExtension } from '../../hooks/useExtension'
import { nanoid } from 'nanoid'
import { presentationDefinitions } from '../../utils/presentation-definitions'
import { useAuthentication } from '../../hooks/auth/useAuthentication'
import { hostUrl } from '../../utils/env_public'

import logo from 'assets/logo.png'
import Box from '../Box/Box'

import * as S from './LandingPage.styled'

const LandingPage: FC = () => {
  const { isAuthenticated } = useAuthentication()

  return (
    <Box direction='row'>
      <S.ContentContainer justifyContent='center'>
        <S.Title>
          Life insurance
          <div>made easy.</div>
        </S.Title>

        <S.Content>Get coverage in 2 minutes. Cancel monthly.</S.Content>

        <S.ButtonContainer direction='row'>
          <S.Button variant='primary'>Get Covered</S.Button>
          <S.Button variant='secondary'>Learn More</S.Button>
        </S.ButtonContainer>

      </S.ContentContainer>

      <S.Logo direction='row' justifyContent='flex-end' flex={1}>
        <Image src={logo.src} alt='logo' width={777} height={487} />
      </S.Logo>
    </Box>
  )
}

export default LandingPage
